# List snapshots

List the snapshots associated with a collection.

SDK: `@zilliz/milvus2-sdk-node@3.0.10` · Tested with Milvus 3.0.6

Canonical documentation: https://milvus-io.github.io/milvus-sdk-node/rest-api/snapshots/list/

## Section links

- [cURL command](https://milvus-io.github.io/milvus-sdk-node/rest-api/snapshots/list/#curl-command)
- [Default request](https://milvus-io.github.io/milvus-sdk-node/rest-api/snapshots/list/#default-request)
- [Sample response](https://milvus-io.github.io/milvus-sdk-node/rest-api/snapshots/list/#sample-response)
- [Request fields](https://milvus-io.github.io/milvus-sdk-node/rest-api/snapshots/list/#request-fields)

`POST /v2/vectordb/snapshots/list`

Replace `https://your-cluster.example.com` with your Milvus endpoint. Set `MILVUS_TOKEN` for authentication or omit the Authorization header on an unauthenticated cluster.

## cURL command

```bash
curl --request POST --url 'https://your-cluster.example.com/v2/vectordb/snapshots/list' \
  --header 'Content-Type: application/json' \
  --header "Authorization: Bearer ${MILVUS_TOKEN}" \
  --data-raw '{
  "dbName": "default",
  "collectionName": "books"
}'
```

## Default request

```json
{
  "dbName": "default",
  "collectionName": "books"
}
```

## Sample response

```json
{
  "code": 0,
  "data": [
    "books_backup"
  ],
  "snapshotSummaries": [
    {
      "name": "books_backup",
      "description": "Backup before migration",
      "createTs": 470574484684800000,
      "createUtcTs": 1795099200000
    }
  ]
}
```

## Request fields

- `dbName` string
  Database name. Operations on collections use default when omitted.
- `collectionName` string (required)
  Name of the collection.

See [`HttpClient.listSnapshots`](https://milvus-io.github.io/milvus-sdk-node/api-reference/http-client/#listsnapshots) for the Node.js SDK method.
